Patching OEM 10gr4
DBAsupport.com Forums - Powered by vBulletin
Results 1 to 4 of 4

Thread: Patching OEM 10gr4

  1. #1
    Join Date
    Nov 2000
    Location
    London
    Posts
    94

    Patching OEM 10gr4

    Trying to install patch 6780904 using orapatch to fix the OEM alert COL_COLLECTED. DocId 602021.1


    $ opatch version
    Invoking OPatch 10.2.0.4.2

    OPatch Version: 10.2.0.4.2

    OPatch succeeded.

    Unpacked the patch and when I install (after I've stopped the agent) i get the following message:

    $ /u1/app/oracle/product/agent/agent10g/OPatch/opatch apply
    Invoking OPatch 10.2.0.4.2

    Oracle Interim Patch Installer version 10.2.0.4.2
    Copyright (c) 2007, Oracle Corporation. All rights reserved.


    Oracle Home : /u1/app/oracle/product/10.2.0.4
    Central Inventory : /u1/app/oracle
    from : /var/opt/oracle/oraInst.loc
    OPatch version : 10.2.0.4.2
    OUI version : 10.2.0.4.0
    OUI location : /u1/app/oracle/product/10.2.0.4/oui
    Log file location : /u1/app/oracle/product/10.2.0.4/cfgtoollogs/opatch/opatch2008-10-31_08-13-20AM.log

    ApplySession applying interim patch '6780904' to OH '/u1/app/oracle/product/10.2.0.4'

    Running prerequisite checks...
    Prerequisite check "CheckApplicable" failed.
    The details are:
    Patch 6780904: Required component(s) missing : [ oracle.sysman.top.agent, 10.2.0.4.0 ]
    ApplySession failed during prerequisite checks: Prerequisite check "CheckApplicable" failed.
    System intact, OPatch will not attempt to restore the system

    OPatch failed with error code 74


    it also fails if I run it from the ORACLE_HOME/OPatch/opatch directory - thats on a higher patch level of opatch


    $ /u1/app/oracle/product/10.2.0.4/OPatch/opatch apply
    Invoking OPatch 10.2.0.4.4

    Oracle Interim Patch Installer version 10.2.0.4.4
    Copyright (c) 2007, Oracle Corporation. All rights reserved.


    Oracle Home : /u1/app/oracle/product/10.2.0.4
    Central Inventory : /u1/app/oracle
    from : /var/opt/oracle/oraInst.loc
    OPatch version : 10.2.0.4.4
    OUI version : 10.2.0.4.0
    OUI location : /u1/app/oracle/product/10.2.0.4/oui
    Log file location : /u1/app/oracle/product/10.2.0.4/cfgtoollogs/opatch/opatch2008-10-31_08-14-50AM.log

    ApplySession applying interim patch '6780904' to OH '/u1/app/oracle/product/10.2.0.4'

    Running prerequisite checks...
    Prerequisite check "CheckApplicable" failed.
    The details are:
    Patch 6780904: Required component(s) missing : [ oracle.sysman.top.agent, 10.2.0.4.0 ]
    ApplySession failed during prerequisite checks: Prerequisite check "CheckApplicable" failed.
    System intact, OPatch will not attempt to restore the system

    OPatch failed with error code 74


    Any ideas?

    Regards

  2. #2
    Join Date
    Nov 2000
    Location
    London
    Posts
    94
    worked it out

  3. #3
    Join Date
    Apr 2003
    Location
    Pune,Maharashtra. India.
    Posts
    245
    How ?
    Rgds
    Parag

  4. #4
    Join Date
    Nov 2000
    Location
    London
    Posts
    94
    had to set ORACLE_HOME=/u1/app/oracle/product/agent/agent10g

    Then run it....

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  


Click Here to Expand Forum to Full Width